<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_infos', function (Blueprint $table) {
            $table->string("know")->default(null)->change();
            $table->string("understand")->default(null)->change();
            $table->string("really")->default(null)->change();
            $table->string("duty")->default(null)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_infos', function (Blueprint $table) {
            $table->dropColumn('know');
            $table->dropColumn('understand');
            $table->dropColumn('really');
            $table->dropColumn('duty');
        });
    }
};
